using MultiLayout;
using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.UI.UiModule
{
    /// <summary>
    /// 全部参数
    /// </summary>
    public class GiantMixScanGraph2Params : UIModuleParams<GiantMixScanGraph2ItemParam>
    {
        public GiantMixScanGraph2Params()
        {
            string path = System.IO.Path.Combine(FlyLayout.BasePath, "gmscangraph2.json");
            FilePath = path;
        }

        static GiantMixScanGraph2Params current = null;
        public static GiantMixScanGraph2Params Current
        {
            get
            {
                if (current == null)
                {
                    current = new GiantMixScanGraph2Params();
                    current.Load();
                }
                return current;
            }
        }
    }
}
